| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::SharedPtrInfoDeleteT< T > Class Template Reference
Core » General

`#include <OgreSharedPtr.h>`

Inheritance diagram for Ogre::SharedPtrInfoDeleteT< T >:
[legend]

## Public Member Functions
| SharedPtrInfoDeleteT (T *o)
virtual | ~SharedPtrInfoDeleteT ()

## Public Attributes
AtomicScalar< unsigned > | useCount

## Constructor & Destructor Documentation

## ◆ SharedPtrInfoDeleteT()

template<class T >

Ogre::SharedPtrInfoDeleteT< T >::SharedPtrInfoDeleteT | ( | T * | o | ) |
| inline

## ◆ ~SharedPtrInfoDeleteT()

template<class T >

virtual Ogre::SharedPtrInfoDeleteT< T >::~SharedPtrInfoDeleteT | ( |  | ) |
| inline virtual

References Ogre::MEMCATEGORY_GENERAL, and OGRE_DELETE_T.

## Member Data Documentation

## ◆ useCount

AtomicScalar<unsigned> Ogre::SharedPtrInfo::useCount
| inherited

Referenced by Ogre::SharedPtr< Skeleton >::reset(), Ogre::SharedPtr< Skeleton >::setUseCount(), Ogre::SharedPtr< Skeleton >::SharedPtr(), Ogre::SharedPtr< Skeleton >::unique(), and Ogre::SharedPtr< Skeleton >::use_count().

The documentation for this class was generated from the following file:

- OgreSharedPtr.h